## vobcopy 0.5.13

=== Makefile ===

#This is the makefile for vobcopy, mainly written by rosenauer. These things 
#below here are variable definitions. They get substituted in the (CC) and 
#stuff places.
CC     = gcc
#PREFIX += /usr/local
#BINDIR = ${PREFIX}/bin
#MANDIR = ${PREFIX}/man
PREFIX += /usr/local
BINDIR = ${PREFIX}/bin
MANDIR = ${PREFIX}/man
LFS    = -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE
CFLAGS += -I/usr/local/include/
LDFLAGS += -ldvdread -L/usr/local/lib

#This specifies the conversion from .c to .o 
.c.o:
	$(CC) $(LFS) $(CFLAGS) -c $<

#Here is implicitly said that for vobcopy to be made *.o has to be made first
#make is kinda intelligent in that aspect.
vobcopy: vobcopy.o dvd.o 
	$(CC) -o vobcopy vobcopy.o dvd.o ${LDFLAGS}

disable_lfs:
	$(CC) $(CFLAGS) -c vobcopy.c
	$(CC) $(CFLAGS) -c dvd.c
	$(CC) -o vobcopy vobcopy.o dvd.o -ldvdread

debug:
	$(CC) -c vobcopy.c -Wall -ggdb -pedantic $(CFLAGS) $(LFS)
	$(CC) -c dvd.c     -Wall -ggdb -pedantic $(CFLAGS) $(LFS)
	$(CC) -o vobcopy vobcopy.o dvd.o -ldvdread

deb:
        
	echo this here is really really experimental...
	dpkg-buildpackage -rfakeroot -us -uc -tc
		

clean :
	rm vobcopy vobcopy.o dvd.o

distclean :
	rm vobcopy.o dvd.o *~

install:
#	mkdir -p $(MANDIR)/man1
#	cp vobcopy   $(BINDIR)/vobcopy
#	cp vobcopy.1 $(MANDIR)/man1/vobcopy.1
	install -d -m 755 $(BINDIR)
	install -d -m 755 $(MANDIR)/man1
	install -m 755 vobcopy $(BINDIR)/vobcopy
	install -m 644 vobcopy.1 $(MANDIR)/man1/vobcopy.1

uninstall:
	rm -f $(BINDIR)/vobcopy
	rm -f $(MANDIR)/man1/vobcopy.1

## vobcopy 1.1.0

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #This is the makefile for vobcopy, mainly written by rosenauer. These things 
 #below here are variable definitions. They get substituted in the (CC) and 
 #stuff places.
-CC     = gcc
+CC     ?= gcc
 #PREFIX += /usr/local
 #BINDIR = ${PREFIX}/bin
 #MANDIR = ${PREFIX}/man
@@ -10,8 +10,8 @@
 BINDIR = ${PREFIX}/bin
 MANDIR = ${PREFIX}/man
 LFS    = -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE
-CFLAGS += -I/usr/local/include/
-LDFLAGS += -ldvdread -L/usr/local/lib
+CFLAGS += -I/usr//include
+LDFLAGS += -ldvdread -L/usr//lib
 
 #This specifies the conversion from .c to .o 
 .c.o:
@@ -34,15 +34,15 @@
 
 deb:
         
-	echo this here is really really experimental...
+	echo "this here is really really experimental..."
 	dpkg-buildpackage -rfakeroot -us -uc -tc
 		
 
 clean :
-	rm vobcopy vobcopy.o dvd.o
+	rm -f vobcopy vobcopy.o dvd.o
 
 distclean :
-	rm vobcopy.o dvd.o *~
+	rm -f vobcopy.o dvd.o *~
 
 install:
 #	mkdir -p $(MANDIR)/man1
@@ -50,10 +50,13 @@
 #	cp vobcopy.1 $(MANDIR)/man1/vobcopy.1
 	install -d -m 755 $(BINDIR)
 	install -d -m 755 $(MANDIR)/man1
+	install -d -m 755 $(MANDIR)/de/man1
 	install -m 755 vobcopy $(BINDIR)/vobcopy
 	install -m 644 vobcopy.1 $(MANDIR)/man1/vobcopy.1
+	install -m 644 vobcopy.1.de $(MANDIR)/de/man1/vobcopy.1
 
 uninstall:
 	rm -f $(BINDIR)/vobcopy
 	rm -f $(MANDIR)/man1/vobcopy.1
+	rm -f $(MANDIR)/de/man1/vobcopy.1

## vobcopy 1.2.0

=== Makefile ===
--- 
+++ 
@@ -2,6 +2,7 @@
 #This is the makefile for vobcopy, mainly written by rosenauer. These things 
 #below here are variable definitions. They get substituted in the (CC) and 
 #stuff places.
+DESTDIR = 
 CC     ?= gcc
 #PREFIX += /usr/local
 #BINDIR = ${PREFIX}/bin
@@ -9,9 +10,10 @@
 PREFIX += /usr/local
 BINDIR = ${PREFIX}/bin
 MANDIR = ${PREFIX}/man
+DOCDIR = ${PREFIX}/share/doc/vobcopy
 LFS    = -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE
-CFLAGS += -I/usr//include
-LDFLAGS += -ldvdread -L/usr//lib
+CFLAGS += -I/usr/local//include
+LDFLAGS += -ldvdread -L/usr/local//lib
 
 #This specifies the conversion from .c to .o 
 .c.o:
@@ -48,15 +50,22 @@
 #	mkdir -p $(MANDIR)/man1
 #	cp vobcopy   $(BINDIR)/vobcopy
 #	cp vobcopy.1 $(MANDIR)/man1/vobcopy.1
-	install -d -m 755 $(BINDIR)
-	install -d -m 755 $(MANDIR)/man1
-	install -d -m 755 $(MANDIR)/de/man1
-	install -m 755 vobcopy $(BINDIR)/vobcopy
-	install -m 644 vobcopy.1 $(MANDIR)/man1/vobcopy.1
-	install -m 644 vobcopy.1.de $(MANDIR)/de/man1/vobcopy.1
+	install -d -m 755 $(DESTDIR)/$(BINDIR)
+	install -d -m 755 $(DESTDIR)/$(MANDIR)/man1
+	install -d -m 755 $(DESTDIR)/$(MANDIR)/de/man1
+	install -d -m 755 $(DESTDIR)/$(DOCDIR)
+	install -m 755 vobcopy $(DESTDIR)/$(BINDIR)/vobcopy
+	install -m 644 vobcopy.1 $(DESTDIR)/$(MANDIR)/man1/vobcopy.1
+	install -m 644 vobcopy.1.de $(DESTDIR)/$(MANDIR)/de/man1/vobcopy.1
+	install -m 644 COPYING Changelog README Release-Notes TODO $(DESTDIR)/$(DOCDIR)
 
 uninstall:
-	rm -f $(BINDIR)/vobcopy
-	rm -f $(MANDIR)/man1/vobcopy.1
-	rm -f $(MANDIR)/de/man1/vobcopy.1	
+	rm -f $(DESTDIR)/$(BINDIR)/vobcopy
+	rm -f $(DESTDIR)/$(MANDIR)/man1/vobcopy.1
+	rm -f $(DESTDIR)/$(MANDIR)/de/man1/vobcopy.1	
+	rm -f $(DESTDIR)/$(DOCDIR)/{COPYING,Changelog,README,Release-Notes,TODO}
+	rmdir --parents $(DESTDIR)/$(BINDIR) 2>/dev/null
+	rmdir --parents $(DESTDIR)/$(MANDIR)/man1 2>/dev/null
+	rmdir --parents $(DESTDIR)/$(MANDIR)/de/man1 2>/dev/null
+	rmdir --parents $(DESTDIR)/$(DOCDIR) 2>/dev/null

=== debian/changelog ===
vobcopy (1.2.0-8) unstable; urgency=medium

  * Move quilt patchs out of debian/patches/ and onto master branch
  * Trim trailing whitespace.
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Fix day-of-week for changelog entries 1.0.2-1, 0.5.7-1.
  * Bump policy version

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 13 Feb 2020 13:50:03 +0000

vobcopy (1.2.0-7) unstable; urgency=medium

  * merge patch from Fab Stz <fabstz-it@yahoo.fr> (closes: #867388)
  * bump to debhelper 11
  * bump policy version
  * enable hardening
  * address non-function-affecting lintian issues

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 25 Jan 2018 18:30:24 +0000

vobcopy (1.2.0-6) unstable; urgency=medium

  * accept small chapter patch

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 08 May 2016 17:08:15 +0100

vobcopy (1.2.0-5) unstable; urgency=low

  * kfreebsd patch (closes: #697016)

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 16 Sep 2013 22:55:50 +0100

vobcopy (1.2.0-4) unstable; urgency=low

  * add build dependency on autopoint

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 06 Nov 2012 16:55:37 +0000

vobcopy (1.2.0-3) unstable; urgency=low

  * Further immerse package in the ocean of autotools cruft (patches)

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 26 Jan 2012 12:27:41 +0000

vobcopy (1.2.0-2) unstable; urgency=low

  * Switch to autotools build system (patch)

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 17 Jan 2012 11:54:35 +0000

vobcopy (1.2.0-1) unstable; urgency=low

  * New upstream release (closes: #627915)
    - includes open O_CREAT permission bits patch (closes: #511978)
    - now checks for read failure, in loop (closes: #471047)
    - includes GNU/kFreeBSD __GLIBC__ patch (closes: #465966)
  * Update debian packaging
  * Quilt patches
    - Hurd FTBS patch (closes: #641283),
      thanks to Svante Signell <svante.signell@telia.com>
    - Silence scary incorrect pointer type gcc warning
    - Man page slash dash hash mash, for the lintian

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 01 Jan 2012 19:26:22 +0100

vobcopy (1.1.0-1) unstable; urgency=low

  * New upstream release
    - New symlink attack solution by upstream to solve CVE-2007-5718
      The upstream solution creates temp files in the current working
      directory
    - MacOSX (at least 10.5) compiles again
    - Use safe string copy routines to avoid buffer overflow exploits
    - Other small fixes by upstream

 -- Stephen Birch <sgbirch@imsmail.org>  Wed, 23 Jan 2008 12:00:14 +0000

vobcopy (1.0.2-1) unstable; urgency=low

  * Fix possible symlink attack caused by insecure temporary file
    handling by using mkstemp (CVE-2007-5718; closes: #448319).
  * Bump standards Version to 3.7.3, no changes needed
  * Build dependency from "libdvdread3-dev | libdvdread2-dev" to libdvdread-dev
  * Fix man page typo s/pipeing/piping/ (closes: #367142)
  * Add upstream TODO file to docs
  * Add upstream Release-Notes to docs
  * Change to debhelper compatibility level 5
  * Tidy up rules file
  * New upstream release (closes: #381553, #449534)
    - wrong device name from /etc/fstab instead of /etc/mtab (closes: #345324)
    - -L option documented in man page (closes: #451144)
    - -F produces files that are too big (closes: #349682)
    - inconsistent regarding default of -n (closes: #341742)
    - checks for free space but it doesn't warn (closes: #341734)
    - vobcopy: German manual page corrections (closes: #345326)
    - -m and -n mutually exclusive (closes: #341735)
    - Off by one error fixed (closes: #451145)
    - Fix error when filenames end with ;? (closes: #319721)

 -- Stephen Birch <sgbirch@imsmail.org>  Fri, 14 Dec 2007 16:23:25 +0000

vobcopy (0.5.14-2) unstable; urgency=low

  * Put libdvdread3 ahead of libdvdread2 in control file
  * Change from native to non native Debian package

 -- Stephen Birch <sgbirch@imsmail.org>  Sat, 27 Nov 2004 15:04:21 +0000

vobcopy (0.5.14-1) unstable; urgency=low

  * New upstream release

 -- Stephen Birch <sgbirch@imsmail.org>  Thu, 18 Nov 2004 11:18:55 +0000

vobcopy (0.5.12-3) unstable; urgency=low

  * Set up vobcopy for backport into woody

 -- Stephen Birch <sgbirch@woody.uk.birch.ws>  Tue,  9 Mar 2004 10:08:07 +0000

vobcopy (0.5.12-2) unstable; urgency=low

  * Add comment to control file per upstream request

 -- Stephen Birch <sgbirch@imsmail.org>  Tue,  9 Mar 2004 06:36:36 +0000

vobcopy (0.5.12-1) unstable; urgency=low

  * New version from upstream
  * Tidy up changelog files
  * Added postinst and postrm files for dh_installmenu

 -- Stephen Birch <sgbirch@imsmail.org>  Mon,  8 Mar 2004 11:10:54 +0000

vobcopy (0.5.11-2) unstable; urgency=low

  * Add -f to rm lines in Makefile

 -- Stephen Birch <sgbirch@imsmail.org>  Mon,  8 Mar 2004 09:57:26 +0000

vobcopy (0.5.11-1) unstable; urgency=low

  * New version from upstream
  * Use dh_installchangelogs -k ChangeLog to install changelogs

 -- Stephen Birch <sgbirch@imsmail.org>  Mon,  1 Mar 2004 15:59:47 +0000

vobcopy (0.5.10-0) unstable; urgency=low

  * Converted Debian control files to policy 3.6.1
  * Created debian format changelog, old log is archived in changelog.archive
  * Update vobcopy to use libdvdread3 instead of libdvd2
  * Clean up copying file a little, add reference to GPL file

 -- Stephen Birch <sgbirch@imsmail.org>  Thu, 26 Feb 2004 15:12:31 +0000

vobcopy (0.5.7-1) unstable; urgency=low

  * New upstream release

 -- Robos <robos@muon.de>  Sat, 15 Mar 2003 23:27:23 +0200

vobcopy (0.5.6-1) unstable; urgency=low

  * New upstream release

 -- Robos <robos@muon.de>  Sun, 9 Feb 2003 23:27:23 +0200

vobcopy (0.5.5-1) unstable; urgency=low

  * New upstream relase. vobcopy now works under SunOS.

 -- Philippe Normand (phil) <sweafty@free.fr>  Sun,  3 Nov 2002 19:20:37 +0100

vobcopy (0.5.1-1) unstable; urgency=low

  * New upstream release

 -- Philippe Normand (phil) <sweafty@free.fr>  Wed, 17 Jul 2002 18:09:23 +0200



=== debian/control ===
Source: vobcopy
Section: utils
Priority: optional
Maintainer: Stephen Birch <sgbirch@imsmail.org>
Uploaders: Barak A. Pearlmutter <bap@debian.org>
Build-Depends: debhelper-compat (= 12),
		libdvdread-dev,
		autoconf-archive
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: http://vobcopy.org
Vcs-Git: https://salsa.debian.org/debian/vobcopy.git
Vcs-Browser: https://salsa.debian.org/debian/vobcopy

Package: vobcopy
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Tool to copy DVD VOBs to hard disk
 Copies DVD .vob files to harddisk and merges them into file(s)
 with the name extracted from the DVD. Checks for sufficient free space
 on the destination drive and compares the copied size to the size on DVD
 in case something went wrong.
 .
 Can also mirror the DVD movie content and copy single
 specified files.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_install:
	dh_install
	@echo leave upstream changelog for dh_installchangelogs
	rm --verbose debian/vobcopy/usr/share/doc/vobcopy/Changelog
	@echo GNU GPL is included by reference in debian/copyright
	rm --verbose debian/vobcopy/usr/share/doc/vobcopy/COPYING

## vobcopy 1.2.1

=== debian/changelog ===
vobcopy (1.2.1-4build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:31:49 +1100

vobcopy (1.2.1-4build1) noble; urgency=medium

  * Rebuild against latest libdvdread

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 14 Mar 2024 14:07:45 -0400

vobcopy (1.2.1-4) unstable; urgency=medium

  * merge fix for null dereference when using iso image
  * tell uscan to ignore hyphenated upstream versions

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 22 May 2023 19:38:21 +0100

vobcopy (1.2.1-3) unstable; urgency=medium

  * debian/watch: Use GitHub /tags rather than /releases page.
  * Update standards version to 4.6.2, no changes needed.
  * Merge some patches

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 03 Feb 2023 12:34:35 +0000

vobcopy (1.2.1-2) unstable; urgency=medium

  * remove internationalization support
  * bump policy

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 17 May 2022 14:31:45 +0100

vobcopy (1.2.1-1) unstable; urgency=medium

  * Fixes for some compiler format overflow warnings
  * Add uscan support file for de-facto upstream

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 04 May 2022 10:17:59 +0100

vobcopy (1.2.0-11) unstable; urgency=medium

  * Maintenance release: bump some versions

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 28 Mar 2022 10:36:23 +0100

vobcopy (1.2.0-10) unstable; urgency=medium

  * Merge null pointer dereference fix

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 18 Nov 2020 17:58:58 +0000

vobcopy (1.2.0-9) unstable; urgency=medium

  * Bump to debhelper 13
  * Progress bar fix

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 23 Jun 2020 22:12:39 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: vobcopy
 Section: utils
 Priority: optional
-Maintainer: Stephen Birch <sgbirch@imsmail.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Stephen Birch <sgbirch@imsmail.org>
 Uploaders: Barak A. Pearlmutter <bap@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
 		libdvdread-dev,
 		autoconf-archive
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: http://vobcopy.org
 Vcs-Git: https://salsa.debian.org/debian/vobcopy.git

=== debian/watch ===
version=4
https://github.com/barak/@PACKAGE@/tags .*/v?([0=9.]+)@ARCHIVE_EXT@
